Version 2.2.7

Released on 2018/01/25.

Note

If you are upgrading a cluster, you must be running CrateDB Version 1.1.3 or higher before you upgrade to 2.2.7.

If you want to perform a rolling upgrade, your current CrateDB version number must be Version 2.2.0. If you want to upgrade from a version prior to this, the upgrade will introduce all of the breaking changes listed for Version 2.2.0, and will require a full restart upgrade.

Warning

Before upgrading, you should back up your data.

Table of contents

Changelog

Fixes

  • Removed unnecessary invokation of non-existent syscall that caused CrateDB to crash on startup with certain Ubuntu kernel versions.
  • Ensured natural order of config keys for the Host Based Authentication.
  • Fixed encoding/decoding of Timestamp type for PostgreSQL wire protocol to support Golang Postgres drivers.